//
// CEdtX
//
// Written by John A deLaubenfels, https://www.adaptune.com/steg.htm .
// Permission granted to use freely in any non-fraudulent way.
//

#pragma once



class CEdtX : public CEdit
{
   DECLARE_DYNAMIC(CEdtX)

public:
   CEdtX();
   virtual ~CEdtX();

protected:
   DECLARE_MESSAGE_MAP()
public:
   virtual BOOL PreTranslateMessage(MSG* pMsg);
   void doFind();
   void doFnext();
   void doFprev();
   void doSave();

   int         m_searchIndex;
   std::string m_ssKeepFind;
   bool        m_bSensitive;
   stegInfo   *m_pCommonInfo;
};


